Skip to content

Check if the permission space Code or name is available

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Check whether it is available through user pool ID and permission space Code, or user pool ID and permission space name.

Method name

ManagementClient.checkPermissionNamespaceExists

Request parameters

NameTypeIs it requiredDefault valueDescriptionExample value
codestringNo-Permission space CodeexamplePermissionNamespace
namestringNo-Permission space nameExample Permission Space

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a privately deployed customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.checkPermissionNamespaceExists({
    name: "Sample Permission Space Name",
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request Response

Type: PermissionNamespaceCheckExistsRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a CheckPermissionNamespaceExistsRespDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "isValid": " false",
    "message": " permission namespace code already exist"
  }
}

Data structure

CheckPermissionNamespaceExistsRespDto

NameTypeIs it required?DescriptionExample value
isValidbooleanyesCheck permission space name or permission space name CodeValid false
messagestringNoPermission space name or permission space Code verification failure prompt message, if verification succeeds, Message is not returned permission namespace code already exist

Agent infrastructure for identity, memory, and web action.